avisync(1)

NAME
avisync - adjust audio synchronisation

SYNOPSIS
avisync [ -o file -i file -q -n num -b num -a track -f commentfile ]

COPYRIGHT
avisync is Copyright (C) by Thomas Östreich.

DESCRIPTION
avisync shift audio on frame basis.

OPTIONS

-o name
    Specify the name of the output file.

-i file
    Specify the name of the input file.

-q  be less verbose.

-n count
    shift audio by count frames. If count is positive, audio starts with audio frame count at the beginning of the AVI-file. If count is negative, audio is prepended count padding frames.

-a track
    Specify the number of the audio channel to shift.

-b num
    Specify if avisync should write an VBR mp3 header into the AVI file. Default is 1 because it does not hurt. num is either 1 or 0.

-f commentfile
    Read AVI tombstone data for header comments from commentfile. See /docs/avi_comments.txt for a sample.

EXAMPLES
The command

avisync -i my_file1.avi -o out.avi -n -10

puts 10 audio frames at the beginning of the AVI-file.

E.g. if the audio is delayed about 200 ms (0.2 seconds) and you're working with a 25 frames per second AVI-File, you need to shift the audio 200/40 = 5 frames since one frame is 40 ms long.

AUTHORS
avisync was written by Thomas Östreich
<ostreich@theorie.physik.uni-goettingen.de> with contributions from many others. See AUTHORS for details.

SEE ALSO
aviindex(1), avifix(1), avimerge(1), avisplit(1), tccat(1), tcdecode(1), tcdemux(1), tcextract(1), tcprobe(1), tcscan(1), transcode(1)